## procmeter3 3.6

=== Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Paths

# INSTDIR - the default root directory for the package
INSTDIR=/usr/local

# MANDIR - the directory to install man pages to
MANDIR=$(INSTDIR)/share/man

# LIB_PATH - the root dir for library files
LIB_PATH=$(INSTDIR)/lib/ProcMeter3

# INC_PATH - the root dir for include files
INC_PATH=$(INSTDIR)/include/ProcMeter3

# MOD_PATH - the path modules are stored in
MOD_PATH=$(LIB_PATH)/modules

# RC_PATH - file the procmeterrc is stored in
RC_PATH=$(LIB_PATH)

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

PATHDEFS=-DINSTDIR=\"$(INSTDIR)\"   -DLIB_PATH=\"$(LIB_PATH)\" \
         -DMOD_PATH=\"$(MOD_PATH)\" -DRC_PATH=\"$(RC_PATH)\"

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : procmeter3-xaw procmeter3-gtk1 procmeter3-gtk2 procmeter3-gtk3 procmeter3-log procmeter3-lcd

########

procmeter3-xaw  : obj procmeter3.modules procmeterrc.install

procmeter3-gtk1 : obj procmeter3.modules procmeterrc.install
procmeter3-gtk2 : obj procmeter3.modules procmeterrc.install
procmeter3-gtk3 : obj procmeter3.modules procmeterrc.install

procmeter3-log  : obj procmeter3.modules procmeterrc.install

procmeter3-lcd  : obj procmeter3.modules procmeterrc.install

########

obj : $(OBJ)

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@  $(PATHDEFS)

procmeter.o   : procmeter.c   procmeterp.h procmeter.h
module.o      : module.c      procmeterp.h procmeter.h
procmeterrc.o : procmeterrc.c procmeterp.h procmeter.h

########

.PHONY : procmeter3.modules

procmeter3.modules :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C modules

########

procmeter3-xaw  :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C xaw

procmeter3-gtk1 :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk1

procmeter3-gtk2 :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk2

procmeter3-gtk3 :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C gtk3

procmeter3-log  :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C log

procmeter3-lcd  :
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" -C lcd

########

procmeterrc :
	;

procmeterrc.install : procmeterrc Makefile
	sed -e "s%path=modules%path=$(MOD_PATH)%" < procmeterrc > procmeterrc.install

########

.PHONY : clean distclean

clean :
	-rm -f *.o *~ core procmeterrc.install
	$(MAKE) -C modules clean
	$(MAKE) -C xaw  clean
	$(MAKE) -C gtk1 clean
	$(MAKE) -C gtk2 clean
	$(MAKE) -C gtk3 clean
	$(MAKE) -C log  clean
	$(MAKE) -C lcd  clean

distclean : clean
	-rm -f procmeter3-xaw procmeter3-gtk1 procmeter3-gtk2 procmeter3-gtk3 procmeter3-log procmeter3-lcd
	-rm -f procmeter3 gprocmeter3
	$(MAKE) -C modules distclean

########

.PHONY : install install-strip

install :
	@[ -f procmeter3-xaw ] || [ -f procmeter3-gtk1 ] || [ -f procmeter3-gtk2 ] || [ -f procmeter3-gtk3 ] || [ -f procmeter3-log ] || [ -f procmeter3-lcd ] || \
	  (echo "*** Run 'make all' or 'make procmeter3-xaw' or 'make procmeter3-gtk1' or 'make procmeter3-gtk2' or 'make procmeter3-gtk3' or 'make procmeter3-log' or 'make procmeter3-lcd' first." ; exit 1)
	install -d $(DESTDIR)$(INC_PATH)
	install -d $(DESTDIR)$(LIB_PATH)
	install -d $(DESTDIR)$(MOD_PATH)
	install -d $(DESTDIR)$(RC_PATH)
#
	$(MAKE) -C modules install STRIP=$(STRIP) INSTDIR=$(INSTDIR) MOD_PATH=$(MOD_PATH) LIB_PATH=$(LIB_PATH)
#
	install -d $(DESTDIR)$(INSTDIR)/bin
	[ ! -f procmeter3-xaw ]  || install $(STRIP) -m 755 procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-xaw ]   || (echo "" ; echo "*** The procmeter3-xaw program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-xaw ]  || ln -sf procmeter3-xaw $(DESTDIR)$(INSTDIR)/bin/procmeter3
	[ ! -f procmeter3-gtk1 ] || install $(STRIP) -m 755 procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-gtk1 ]  || (echo "" ; echo "*** The procmeter3-gtk1 program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-gtk2 ] || install $(STRIP) -m 755 procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-gtk2 ]  || (echo "" ; echo "*** The procmeter3-gtk2 program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-gtk3 ] || install $(STRIP) -m 755 procmeter3-gtk3 $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-gtk3 ]  || (echo "" ; echo "*** The procmeter3-gtk3 program has not been installed (it does not exist)." ; echo "")
	[ -f procmeter3-gtk3 ]   || [ -f procmeter3-gtk2 ]   || [ ! -f procmeter3-gtk1 ] || ln -sf procmeter3-gtk1 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
	[ -f procmeter3-gtk3 ]   || [ ! -f procmeter3-gtk2 ] || ln -sf procmeter3-gtk2 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
	[ ! -f procmeter3-gtk3 ] || ln -sf procmeter3-gtk3 $(DESTDIR)$(INSTDIR)/bin/gprocmeter3
	[ ! -f procmeter3-log ]  || install $(STRIP) -m 755 procmeter3-log $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-log ]   || (echo "" ; echo "*** The procmeter3-log program has not been installed (it does not exist)." ; echo "")
	[ ! -f procmeter3-lcd ]  || install $(STRIP) -m 755 procmeter3-lcd $(DESTDIR)$(INSTDIR)/bin
	@[ -f procmeter3-lcd ]   || (echo "" ; echo "*** The procmeter3-lcd program has not been installed (it does not exist)." ; echo "")
#
	install -d $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(MANDIR)/man5
	[ ! -f procmeter3-xaw ]  || install -m 644 man/procmeter3-xaw.1  man/procmeter3.1  $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-log ]  || install -m 644 man/procmeter3-log.1                    $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-lcd ]  || install -m 644 man/procmeter3-lcd.1                    $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-gtk1 ] || install -m 644 man/procmeter3-gtk1.1 man/gprocmeter3.1 $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-gtk2 ] || install -m 644 man/procmeter3-gtk2.1 man/gprocmeter3.1 $(DESTDIR)$(MANDIR)/man1
	[ ! -f procmeter3-gtk3 ] || install -m 644 man/procmeter3-gtk3.1 man/gprocmeter3.1 $(DESTDIR)$(MANDIR)/man1
	install -m 644 man/procmeterrc.5        $(DESTDIR)$(MANDIR)/man5
	install -m 644 man/procmeter3_modules.1 $(DESTDIR)$(MANDIR)/man1
#
	[ ! -f $(DESTDIR)$(RC_PATH)/.procmeterrc ] || mv $(DESTDIR)$(RC_PATH)/.procmeterrc $(DESTDIR)$(RC_PATH)/procmeterrc
	@[ ! -f $(DESTDIR)$(RC_PATH)/procmeterrc ] || (echo "" ; echo "*** The $(DESTDIR)$(RC_PATH)/procmeterrc file has not been installed (it already exists)." ; echo "")
	[ ! -f $(DESTDIR)$(RC_PATH)/procmeterrc ]  || install -m 644 procmeterrc.install $(DESTDIR)$(RC_PATH)/procmeterrc.install
	[ -f $(DESTDIR)$(RC_PATH)/procmeterrc ]    || install -m 644 procmeterrc.install $(DESTDIR)$(RC_PATH)/procmeterrc
#
	install -m 644 procmeter.h $(DESTDIR)$(INC_PATH)

install-strip :
	$(MAKE) install STRIP=-s

=== gtk1/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for gtk1 parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

X_CFLAGS=`gtk-config --cflags`
X_LDFLAGS=`gtk-config --libs` -lX11

# Check for GTK1 development libraries and headers

HAVE_GTK1:=$(shell gtk-config --version)

ifdef HAVE_GTK1
  ALL=all-gtk1
else
  ALL=all-no-gtk1
endif

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : $(ALL)

all-no-gtk1 :
	@echo "ProcMeter:"
	@echo "ProcMeter: GTK1 is not installed (gtk-config could not be found)."
	@echo "ProcMeter: Cannot compile procmeter3-gtk1 program."
	@echo "ProcMeter:"

all-gtk1 : ../procmeter3-gtk1

########

../procmeter3-gtk1 : $(OBJ) $(WOBJ) $(POBJ)
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ $(LDFLAGS) $(X_LDFLAGS) -ldl -rdynamic

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

$(WOBJ) : 
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

$(POBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== gtk2/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for gtk2 parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

X_CFLAGS=`pkg-config --cflags gtk+-2.0`
X_LDFLAGS=`pkg-config --libs gtk+-2.0` -lX11

# Check for GTK2 development libraries and headers

HAVE_GTK2:=$(shell pkg-config --modversion gtk+-2.0)

ifdef HAVE_GTK2
  ALL=all-gtk2
else
  ALL=all-no-gtk2
endif

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : $(ALL)

all-no-gtk2 :
	@echo "ProcMeter:"
	@echo "ProcMeter: GTK2 is not installed (pkg-config could not find it)."
	@echo "ProcMeter: Cannot compile procmeter3-gtk2 program."
	@echo "ProcMeter:"

all-gtk2 : ../procmeter3-gtk2

########

../procmeter3-gtk2 : $(OBJ) $(WOBJ) $(POBJ)
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ $(LDFLAGS) $(X_LDFLAGS) -ldl -rdynamic

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

$(WOBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

$(POBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== gtk3/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for gtk3 parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

X_CFLAGS=`pkg-config --cflags gtk+-3.0`
X_LDFLAGS=`pkg-config --libs gtk+-3.0` -lX11

#X_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE

# Check for GTK3 development libraries and headers

HAVE_GTK3:=$(shell pkg-config --modversion gtk+-3.0)

ifdef HAVE_GTK3
  ALL=all-gtk3
else
  ALL=all-no-gtk3
endif

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : $(ALL)

all-no-gtk3 :
	@echo "ProcMeter:"
	@echo "ProcMeter: GTK3 is not installed (pkg-config could not find it)."
	@echo "ProcMeter: Cannot compile procmeter3-gtk3 program."
	@echo "ProcMeter:"

all-gtk3 : ../procmeter3-gtk3

########

../procmeter3-gtk3 : $(OBJ) $(WOBJ) $(POBJ)
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ $(LDFLAGS) $(X_LDFLAGS) -ldl -rdynamic

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

$(WOBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

$(POBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== lcd/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for LCD driver part.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

########

all : ../procmeter3-lcd

########

../procmeter3-lcd : $(OBJ) $(POBJ)
	$(LD) $(OBJ) $(POBJ) -o $@ $(LDFLAGS) -ldl -rdynamic

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ -I..

window.o    : window.c    ../procmeterp.h ../procmeter.h
menu.o      : menu.c      ../procmeterp.h ../procmeter.h
run.o       : run.c       ../procmeterp.h ../procmeter.h

########

$(POBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== log/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for logging to a file.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

########

all : ../procmeter3-log

########

../procmeter3-log : $(OBJ) $(POBJ)
	$(LD) $(OBJ) $(POBJ) -o $@ $(LDFLAGS) -ldl -rdynamic

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ -I..

window.o    : window.c    ../procmeterp.h ../procmeter.h
menu.o      : menu.c      ../procmeterp.h ../procmeter.h
run.o       : run.c       ../procmeterp.h ../procmeter.h

########

$(POBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== modules/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for the modules.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Paths (overridden by main Makefile)

INSTDIR=/usr/local
LIB_PATH=$(INSTDIR)/lib/ProcMeter3
MOD_PATH=$(LIB_PATH)/modules

# Programs

CC=gcc
LD=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))
LIB=$(foreach f,$(SRC),$(addsuffix .so,$(basename $f)))

########

all : $(OBJ) $(LIB)

########

libsensors-%.o:libsensors-%.c
	./check-no-libsensors.sh '$(CC)' '$(CFLAGS)' || $(CC) -c $(CFLAGS) $< -o $@ -I.. -fPIC

libsensors-%.so:libsensors-%.o
	[ ! -f $< ] || $(LD) $(LDFLAGS) $< -lsensors -o $@ -shared

%.o:%.c ../procmeter.h
	$(CC) -c $(CFLAGS) $< -o $@ -I.. -fPIC

%.so:%.o
	$(LD) $(LDFLAGS) $< -o $@ -shared

########

.PHONY : clean distclean

clean :
	-rm -f *.o *~ core

distclean : clean
	-rm -f *.so

########

.PHONY : install

install :
	install -d $(DESTDIR)$(MOD_PATH)
	install -d $(DESTDIR)$(LIB_PATH)/example
	for module in *.so ; do \
	   [ $$module = template.so ] || install $(STRIP) -m 755 $$module $(DESTDIR)$(MOD_PATH) ;\
	done
	install -m 644 README $(DESTDIR)$(LIB_PATH)/example
	install -m 644 template.c $(DESTDIR)$(LIB_PATH)/example

=== xaw/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for Athena parts.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1994-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc
LD=gcc

# Program options

CFLAGS=-g -O2 -Wall
LDFLAGS=-g

X_CFLAGS=-I/usr/X11/include -I/usr/X11R6/include
X_LDFLAGS=-L/usr/X11/lib -L/usr/X11R6/lib -lXaw -lXmu -lXt -lXext -lSM -lICE -lX11

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

PSRC=$(wildcard ../*.c)
POBJ=$(foreach f,$(PSRC),$(addsuffix .o,$(basename $f)))

WSRC=$(wildcard widgets/*.c)
WOBJ=$(foreach f,$(WSRC),$(addsuffix .o,$(basename $f)))

########

all : ../procmeter3-xaw

########

../procmeter3-xaw : $(OBJ) $(WOBJ) $(POBJ)
	$(LD) $(OBJ) $(WOBJ) $(POBJ) -o $@ $(LDFLAGS) $(X_LDFLAGS) -ldl -rdynamic

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I..

bitmap.o    : bitmap.c    ../procmeterp.h ../procmeter.h window.h
resources.o : resources.c ../procmeterp.h ../procmeter.h window.h
menus.o     : menus.c     ../procmeterp.h ../procmeter.h window.h
window.o    : window.c    ../procmeterp.h ../procmeter.h window.h
run.o       : run.c       ../procmeterp.h ../procmeter.h window.h

########

$(WOBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" X_CFLAGS="$(X_CFLAGS)" -C widgets

########

$(POBJ) :
	$(MAKE) CFLAGS="$(CFLAGS)" -C .. obj

########

.PHONY : clean

clean :
	-rm -f *.o *~ core
	$(MAKE) -C widgets clean

########

.PHONY : install

install :

=== gtk1/widgets/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for gtk1 widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

X_CFLAGS=`gtk-config --cflags`

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGeneric.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMGeneric.h
PMBar.o     : PMBar.c     PMBar.h     PMGeneric.h ../../procmeter.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== gtk2/widgets/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for gtk2 widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

X_CFLAGS=`pkg-config --cflags gtk+-2.0`

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGeneric.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMGeneric.h
PMBar.o     : PMBar.c     PMBar.h     PMGeneric.h ../../procmeter.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== gtk3/widgets/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for gtk3 widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

X_CFLAGS=`pkg-config --cflags gtk+-3.0`

#X_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGeneric.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMGeneric.h
PMBar.o     : PMBar.c     PMBar.h     PMGeneric.h ../../procmeter.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== xaw/widgets/Makefile ===
# ProcMeter - A system monitoring program for Linux - Version 3.6.
#
# Makefile for Athena widgets.
#
# Written by Andrew M. Bishop
#
# This file Copyright 1998-2012 Andrew M. Bishop
# It may be distributed under the GNU Public License, version 2, or
# any higher version.  See section COPYING of the GNU Public license
# for conditions under which this file may be redistributed.
#

# Programs

CC=gcc

# Program options (overridden by main Makefile)

CFLAGS=-g -O2 -Wall

X_CFLAGS=-I/usr/X11/include -I/usr/X11R6/include

# Compilation targets

SRC=$(wildcard *.c)
OBJ=$(foreach f,$(SRC),$(addsuffix .o,$(basename $f)))

########

all : $(OBJ)

########

%.o:%.c
	$(CC) -c $(CFLAGS) $< -o $@ $(X_CFLAGS) -I../..

PMGeneric.o : PMGeneric.c PMGeneric.h PMGenericP.h
PMGraph.o   : PMGraph.c   PMGraph.h   PMGraphP.h   PMGeneric.h PMGenericP.h ../../procmeter.h
PMText.o    : PMText.c    PMText.h    PMTextP.h    PMGeneric.h PMGenericP.h
PMBar.o     : PMBar.c     PMBar.h     PMBarP.h     PMGeneric.h PMGenericP.h ../../procmeter.h

SubMenus.o : SubMenus.c SubMenus.h

########

.PHONY : clean

clean :
	-rm -f *.o *~ core

########

.PHONY : install

install :

=== debian/changelog ===
procmeter3 (3.6-2) unstable; urgency=medium

  * Add co-maintainer.
  * Bump debhelper compat level to 11.
  * debian/copyright:
    - Update Format URL to use https.
    - Update copyright holders information.
  * debian/control:
    - Update Vcs-* fields to use salsa.debian.org.
    - Update Upstream Homepage.
  * debian/watch: Update to use secure URI.
  * Bump Standards-Version to 4.3.0:
    - debian/control: Document Rules-Requires-Root field.

 -- Josue Ortega <josue@debian.org>  Sat, 05 Jan 2019 12:04:01 -0600

procmeter3 (3.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/libsensors5.patch
       + Update checks for libsensors5 Closes: #918078.
  * debian/control
       + Replace libsensors4-dev build-depends by libsensors-dev Closes:
         #917446.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jan 2019 16:06:56 +0100

procmeter3 (3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/loff_t.patch
       + Fix build with glibc 2.28 Closes: #916054.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Dec 2018 00:22:40 +0100

procmeter3 (3.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
       + Standards Version to 3.9.5
  * debian/rules
       + Updating to debhelper 9
       + Adding hardening options
  * debian/patches
       + Updating to be applied in new upstream release
       + Adding DEP3 header to patches
  * debian/copyright
       + Updating format url
       + Updating source url
  * debian/docs
       + Removing LSM and ANNOUNCE file
  * debian/watch
       + Updating url

 -- Wences Arana <aranax@debian.org.gt>  Sun, 16 Mar 2014 11:35:07 -0600

procmeter3 (3.5d-2) unstable; urgency=low

  * Deprecated build depend on libxaw-dev removed
  * Installing modules in /usr/lib/planner instead of
    /usr/lib/X11 Closes:#651145
  * Avoid the installation of duplicate examples in /usr/lib/X11 Closes:#651148
  * Avoid that procmeter3-{log,lcd} and	all loadable modules be linked needless
    libX11 shared libs Closes:#651166
  * Patch added to move headers files from /usr/lib/X11/ProcMeter3/include to
    /usr/include/planner Closes:#651150

 -- Wences Arana <aranax@debian.org.gt>  Sat, 10 Dec 2011 16:55:06 -0600

=== debian/control ===
Source: procmeter3
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 libgtk2.0-dev,
 libx11-dev,
 libxt-dev,
 x11proto-core-dev,
 libsensors-dev,
 libxaw7-dev,
 dpkg-dev (>= 1.17.0),
 libgtk-3-dev
Maintainer: Wences Arana <aranax@debian.org.gt>
Uploaders: Josue Ortega <josue@debian.org>
Standards-Version: 4.3.0
Homepage: https://www.gedanken.org.uk/software/procmeter3/
Vcs-Git: https://salsa.debian.org/debian/procmeter3.git
Vcs-Browser: https://salsa.debian.org/debian/procmeter3
Rules-Requires-Root: no

Package: procmeter3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical system status monitor
 ProcMeter displays constantly updating graphs of system information.
 Many different graphs are supported, including:
 .
  APM and ACPI information.
  Mailbox monitoring.
  Date, time, uptime.
  Amount of free and used disk space.
  Size, number of lines, rate of growth of log files.
  Amount of used and free memory and swap.
  Traffic on network devices.
  Load average, number of processes running and starting.
  Low level system statistics like CPU usage, disk usage and swapping.
  CPU clock speed.
  Wireless network link quality.
 .
 As if all that wasn't enough, procmeter is designed to be easily extendable
 via plugins.
 .
 Procmeter can use either the Athena or the GTK+ widgets. It also supports
 display on small LCD screens using the Linux lcdproc driver.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wextra -D_FORTIFY_SOURCE=2

%:
	dh $@
override_dh_auto_build:
	$(MAKE) all INSTDIR=/usr RC_PATH=/etc

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean

override_dh_auto_install:
	$(MAKE) install \
	INSTDIR=$(CURDIR)/debian/procmeter3/usr \
	RC_PATH=$(CURDIR)/debian/procmeter3/etc

override_dh_installdocs:
	dh_installdocs
	cp modules/README \
		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/README.modules

=== debian/watch ===
version=3
https://www.gedanken.org.uk/software/procmeter3/download/procmeter3-([^\+]*).tgz
